Loading...
Searching...
No Matches
clocks.h File Reference

Go to the source code of this file.

## Classes

struct | etl::chrono::private_chrono::is_steady_trait< b >
class | etl::chrono::system_clock
| The system clock time. More...
class | etl::chrono::high_resolution_clock
| The high resolution clock time. More...
class | etl::chrono::steady_clock
| The steady clock time. More...
struct | etl::chrono::local_t
| Local time. More...

## Namespaces

namespace | etl

## Macros

#define | ETL_CHRONO_SYSTEM_CLOCK_DURATION etl::chrono::nanoseconds
#define | ETL_CHRONO_SYSTEM_CLOCK_IS_STEADY true
#define | ETL_CHRONO_HIGH_RESOLUTION_CLOCK_DURATION etl::chrono::nanoseconds
#define | ETL_CHRONO_HIGH_RESOLUTION_CLOCK_IS_STEADY true
#define | ETL_CHRONO_STEADY_CLOCK_DURATION etl::chrono::nanoseconds

## Typedefs

template<typename Duration>
using | etl::chrono::sys_time = etl::chrono::time_point<etl::chrono::system_clock, Duration>
| System time.
using | etl::chrono::sys_seconds = sys_time<etl::chrono::seconds>
using | etl::chrono::sys_days = sys_time<etl::chrono::days>
template<typename TDuration>
using | etl::chrono::local_time = etl::chrono::time_point<etl::chrono::local_t, TDuration>
using | etl::chrono::local_seconds = local_time<etl::chrono::seconds>
using | etl::chrono::local_days = local_time<etl::chrono::days>

## Functions

ETL_CHRONO_SYSTEM_CLOCK_DURATION::rep | etl_get_system_clock ()
ETL_CHRONO_HIGH_RESOLUTION_CLOCK_DURATION::rep | etl_get_high_resolution_clock ()
ETL_CHRONO_STEADY_CLOCK_DURATION::rep | etl_get_steady_clock ()
template<typename TToClock, typename TFromClock, typename TFromDuration>
ETL_CONSTEXPR14 etl::chrono::time_point< TToClock, typename TToClock::duration > | etl::chrono::clock_cast (const etl::chrono::time_point< TFromClock, TFromDuration > &from_time_point) ETL_NOEXCEPT

## Variables

template<bool b>
ETL_CONSTANT bool | etl::chrono::private_chrono::is_steady_trait< b >::is_steady

## Function Documentation

## clock_cast()

template<typename TToClock, typename TFromClock, typename TFromDuration>

ETL_CONSTEXPR14 etl::chrono::time_point< TToClock, typename TToClock::duration > etl::chrono::clock_cast | ( | const etl::chrono::time_point< TFromClock, TFromDuration > & | from_time_point | ) |

Cast a time point from one clock to another. This implementation assumes all clock epochs are the same.